using ComputerShopDataModels.Enums;
using ComputerShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerShopContracts.ViewModels
{
    public class PurchaseViewModel : IPurchaseModel
    {
        public int ComponentId { get; set; }

        [DisplayName("Номер")]
        public int Id { get; set; }
        [DisplayName("Компонент")]
        public string ComponentName { get; set; } = string.Empty;
        [DisplayName("Количество")]
        public int Count { get; set; }
        public int ClientId { get; set; }

        [DisplayName("ФИО клиента")]
        public string ClientFIO { get; set; } = string.Empty;
        [DisplayName("Сумма")]
        public double Sum { get; set; }
        [DisplayName("Статус")]
        public PurchaseStatus Status { get; set; } = PurchaseStatus.Неизвестен;
        [DisplayName("Дата создания")]
        public DateTime DateCreate { get; set; } = DateTime.Now;
        [DisplayName("Дата выполнения")]
        public DateTime? DateImplement { get; set; }
    }
}
